Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08022 Misc. Major Always Jul 4, 2021, 07:39 Jul 6, 2021, 11:24
Tester yrts View Status Public Platform MAME (Official Binary)
Assigned To Resolution Invalid report OS Windows 10 (64-bit)
Status [?] Closed Driver pc9801.cpp
Version 0.233 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary MESS-specific 08022: Main memory and extended memory capacity of PC98
Description The maximum main memory of PC98 is 640K, and the memory capacity after that is extended memory. If the "Models:" of "PC9801.cpp" exceeds 640K, the main memory will always be 640K. For example, "1.6M" is "640K+1024K". (Not sure about some special models for corporate use).
Currently, when I run MAME, the main memory is set to 128K on almost all models. The correct value is "640K".
Steps To Reproduce For example:
mame pc9801ce2
Additional Information On a completely different note, I can't read the .hdi on my HDD. I am investigating.
Github Commit
Flags
Regression Version
Affected Sets / Systems
Attached Files
png file icon pc9821cd2_3072K.png (17,073 bytes) Jul 5, 2021, 00:23 Uploaded by yrts
yrts
png file icon pc9821cd2_640K.png (14,601 bytes) Jul 5, 2021, 00:23 Uploaded by yrts
yrts
png file icon pc9821cd2_null&1024K.png (15,618 bytes) Jul 5, 2021, 00:23 Uploaded by yrts
yrts
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.19068
kmg
Tester
Jul 4, 2021, 18:30
I'm assuming you mean 'pc9821ce2' since there isn't a pc9801ce2 in MAME. That being said I cannot reproduce this, though for the record I can't test the official MAME binary.

Glancing at the driver it seems that it's only possible to have 128K on pc9801f, no other machine allows this configuration and almost everything else defaults to 1664K. If you aren't getting 1664K in general maybe you have a .ini file, say pc9821.ini, that has ram set to a different value? Still, the only valid values are 1664K,640K,3712K,7808K,14M.
User avatar
No.19072
yrts
Tester
Jul 5, 2021, 00:24
edited on: Jul 5, 2021, 00:26
Thanks for the quick reply. I made a mistake with the command. As you pointed out, "mame pc9821ce2" is correct.

I tried changing the ramsize value in mame.ini, but the main memory is still "128K".
ramsize (null) : MEMORY 128K + 1024KB (correct: 640K + 1024K)
ramsize 1664K : MEMORY 128K + 1024KB (correctly 640K + 1024K)
ramsize 640K : MEMORY 128K (640K is correct)
ramsize 3712K : MEMORY 128K + 3072KB (correct: 640K + 3072K)
User avatar
No.19076
Kale
Developer
Jul 6, 2021, 07:56
edited on: Jul 6, 2021, 07:56
Cannot reproduce, i.e. if I do mame.exe pc9821ce2 -ram 3712k I get 640KB + 3072KB
You probably have some MEMSW/dipswitch setting that hampers with the detected area?
Try to clear nvram/cfg areas and try again.

PS: been aware that the memory options aren't well configured for every machine in the driver(s). Parsing those is an ongoing process.
User avatar
No.19077
yrts
Tester
Jul 6, 2021, 11:17
This was fixed by deleting the nvram/cfg! Thanks for the comment.

I don't know how I changed the settings (mystery).
User avatar
No.19078
yrts
Tester
Jul 6, 2021, 11:24
Sorry. I don't know how to change the status to closed.